Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.opensymphony.xwork2.inject.util
Enum ReferenceType

    java.lang.Object
      java.lang.Enum<ReferenceType>
          com.opensymphony.xwork2.inject.util.ReferenceType

All Implemented Interfaces:
  Serializable, Comparable<ReferenceType>

    public enum ReferenceType

extends Enum<ReferenceType>

Reference type. Used to specify what type of reference to keep to a referent.

Author:
  crazybob@google.com (Bob Lee)
See Also:
  `Reference`

Enum Constant Summary
`PHANTOM` Similar to weak references except the garbage collector doesn't actually reclaim the referent.
`SOFT` Referent reclaimed in an LRU fashion when the VM runs low on memory and no strong references exist.
`STRONG` Prevents referent from being reclaimed by the garbage collector.
`WEAK` Referent reclaimed when no strong or soft references exist.

Method Summary
`static ReferenceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ReferenceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STRONG

    public static final ReferenceType STRONG

  Prevents referent from being reclaimed by the garbage collector.

### SOFT

    public static final ReferenceType SOFT

  Referent reclaimed in an LRU fashion when the VM runs low on memory and no strong references exist.

  See Also:
    `SoftReference`

### WEAK

    public static final ReferenceType WEAK

  Referent reclaimed when no strong or soft references exist.

  See Also:
    `WeakReference`

### PHANTOM

    public static final ReferenceType PHANTOM

  Similar to weak references except the garbage collector doesn't actually reclaim the referent. More flexible alternative to finalization.

  See Also:
    `PhantomReference`

Method Detail

### values

    public static ReferenceType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ReferenceType c : ReferenceType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ReferenceType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.